/* --COPYRIGHT--,BSD
 * Copyright (c) 2014, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/

/*
 * Pragmas.c
 *
 *  Created on: Apr 14, 2014
 */

#include "utility.h"


// pragma declarations to force variable to specific locations

#pragma DATA_SECTION(G_FIRMWARE_VERSION,".mysect01")
float G_FIRMWARE_VERSION;

#pragma DATA_SECTION(G_IFS,".mysect02")
float G_IFS;

#pragma DATA_SECTION(G_IRSENSE,".mysect03")
float G_IRSENSE;

#pragma DATA_SECTION(G_VREF,".mysect04")
float G_VREF;

#pragma DATA_SECTION(G_VREF_VAL,".mysect05")
unsigned long G_VREF_VAL;

#pragma DATA_SECTION(G_DIRECTION,".mysect06")
gpio G_DIRECTION;

#pragma DATA_SECTION(G_FAULT,".mysect07")
gpio G_FAULT;

#pragma DATA_SECTION(G_Mode,".mysect08")
unsigned int G_Mode;

#pragma DATA_SECTION(G_Normal_A,".mysect09")
unsigned int G_Normal_A;

#pragma DATA_SECTION(G_Normal_B,".mysect10")
unsigned int G_Normal_B;

#pragma DATA_SECTION(G_PPS_Value,".mysect11")
unsigned int G_PPS_Value;

#pragma DATA_SECTION(G_Parallel,".mysect12")
unsigned int G_Parallel;

#pragma DATA_SECTION(G_RUN,".mysect13")
gpio G_RUN;

#pragma DATA_SECTION(G_Stepper,".mysect14")
unsigned int G_Stepper;

#pragma DATA_SECTION(G_WAKE,".mysect15")
gpio G_WAKE;

#pragma DATA_SECTION(G_PWM_AIN1,".mysect16")
unsigned int G_PWM_AIN1;

#pragma DATA_SECTION(G_PWM_AIN2,".mysect17")
unsigned int G_PWM_AIN2;

#pragma DATA_SECTION(G_PWM_BIN1,".mysect18")
unsigned int G_PWM_BIN1;

#pragma DATA_SECTION(G_PWM_BIN2,".mysect19")
unsigned int G_PWM_BIN2;
